Package com.creditcall.chipdnamobile

# Enum Class CardHash.Source

java.lang.Object
java.lang.Enum<CardHash.Source>
com.creditcall.chipdnamobile.CardHash.Source

All Implemented Interfaces:
  `Serializable`, `Comparable<CardHash.Source>`, `Constable`

Enclosing class:
  CardHash

public static enum CardHash.Source extends Enum<CardHash.Source>
Source from where the CardHash was generated.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PaymentDevice`
  Provided by the payment device.
  `Platform`
  Provided by the platform.
  `Unknown`
  Unknown

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CardHash.Source`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CardHash.Source[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Unknown

    public static final CardHash.Source Unknown
    Unknown

  - ### Platform

    public static final CardHash.Source Platform
    Provided by the platform.

  - ### PaymentDevice

    public static final CardHash.Source PaymentDevice
    Provided by the payment device.

- ## Method Details

  - ### values

    public static CardHash.Source[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CardHash.Source valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null